# Source code for azure.mgmt.dns.models.srv_record

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SrvRecord(Model):
        """An SRV record.

        :param priority: Gets or sets the priority metric for this record.
        :type priority: int
        :param weight: Gets or sets the weight metric for this this record.
        :type weight: int
        :param port: Gets or sets the port of the service for this record.
        :type port: int
        :param target: Gets or sets the domain name of the target for this
         record, without a terminating dot.
        :type target: str
        """

        _attribute_map = {
            'priority': {'key': 'priority', 'type': 'int'},
            'weight': {'key': 'weight', 'type': 'int'},
            'port': {'key': 'port', 'type': 'int'},
            'target': {'key': 'target', 'type': 'str'},
        }

        def __init__(self, priority=None, weight=None, port=None, target=None):
            self.priority = priority
            self.weight = weight
            self.port = port
            self.target = target